<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Tesla</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.theme.default.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/assets/owl.carousel.min.css"/>
    <link rel="stylesheet" type="text/css" href="//cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.css"/>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    {% load static %}
    <link rel="stylesheet" href="{% static '/main/css/style.css' %}">
    {% block style %}
    {% endblock %}
</head>
<body>
    <header class="navbar navbar-expand-lg navbar-light bg-lignt">
    <div class="col-5"></div>
    <div class="col-2  d-flex justify-content-center">
        <a href="/" class="logo">
          <img src="{% static '/main/img/logo.png'%}"  />
        </a>
    </div>
    <div class="col-5 d-flex justify-content-end d-xs-block d-lg-none">
     <button class="navbar-toggler"
             type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
    </div>
    <div class="col-5 d-flex justify-content-end">
    <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <nav class="navbar-nav signin ml-auto">
        {% if  request.user.is_authenticated %}
            {% if request.user.type != 2 %}
                <a class="nav-link" href="/admin">Админ панель <span class="sr-only">(current)</span></a>
            {% else %}
                <a class="nav-link" href="{% url 'profile' %}">Профиль <span class="sr-only">(current)</span></a>
            {% endif %}
          <a class="nav-link" href="{% url 'logout' %}">Выйти <span class="sr-only">(current)</span></a>
        {% else %}
             {% if request.get_full_path != "/user/login/" %}
                <a class="nav-link" href="{% url 'login' %}">Войти <span class="sr-only">(current)</span></a>
             {% endif %}
        {% endif %}
    </nav>
    </div>
    </div>
    </header>
<div class="container-fluid">
    
    {% block content %}
    {% endblock %}
</div>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/OwlCarousel2/2.3.4/owl.carousel.min.js"></script>
<script type="text/javascript" src="//cdn.jsdelivr.net/npm/slick-carousel@1.8.1/slick/slick.min.js"></script>
{% block script %}
{% endblock %}
</body>
</html>